## ClutterBehaviourScale ClutterBehaviourScale — A behaviour controlling scale |

## Functions

ClutterBehaviour * | clutter_behaviour_scale_new ()
void | clutter_behaviour_scale_set_bounds ()
void | clutter_behaviour_scale_get_bounds ()

## Properties

gdouble | x-scale-end | Read / Write
gdouble | x-scale-start | Read / Write
gdouble | y-scale-end | Read / Write
gdouble | y-scale-start | Read / Write

## Types and Values

enum | ClutterGravity
struct | ClutterBehaviourScale
struct | ClutterBehaviourScaleClass

## Object Hierarchy

        GObject
        ╰── ClutterBehaviour
            ╰── ClutterBehaviourScale

## Implemented Interfaces

ClutterBehaviourScale implements ClutterScriptable.

## Description

A ClutterBehaviourScale interpolates actors size between two values.

## Functions

### clutter_behaviour_scale_new ()

    ClutterBehaviour *
    clutter_behaviour_scale_new (ClutterAlpha *alpha,
                                 gdouble x_scale_start,
                                 gdouble y_scale_start,
                                 gdouble x_scale_end,
                                 gdouble y_scale_end);

`clutter_behaviour_scale_new` has been deprecated since version 1.6 and should not be used in newly-written code.

Creates a new ClutterBehaviourScale instance.

If `alpha` is not `NULL`, the ClutterBehaviour will take ownership of the ClutterAlpha instance. In the case when `alpha` is `NULL`, it can be set later with `clutter_behaviour_set_alpha()`.

#### Parameters

alpha | a ClutterAlpha instance, or `NULL`. | [allow-none]
x_scale_start | initial scale factor on the X axis |
y_scale_start | initial scale factor on the Y axis |
x_scale_end | final scale factor on the X axis |
y_scale_end | final scale factor on the Y axis |

#### Returns

the newly created ClutterBehaviourScale.

[transfer full]

Since 0.2

### clutter_behaviour_scale_set_bounds ()

    void
    clutter_behaviour_scale_set_bounds (ClutterBehaviourScale *scale,
                                        gdouble x_scale_start,
                                        gdouble y_scale_start,
                                        gdouble x_scale_end,
                                        gdouble y_scale_end);

`clutter_behaviour_scale_set_bounds` has been deprecated since version 1.6 and should not be used in newly-written code.

Sets the bounds used by scale behaviour.

#### Parameters

scale | a ClutterBehaviourScale |
x_scale_start | initial scale factor on the X axis |
y_scale_start | initial scale factor on the Y axis |
x_scale_end | final scale factor on the X axis |
y_scale_end | final scale factor on the Y axis |

Since 0.6

### clutter_behaviour_scale_get_bounds ()

    void
    clutter_behaviour_scale_get_bounds (ClutterBehaviourScale *scale,
                                        gdouble *x_scale_start,
                                        gdouble *y_scale_start,
                                        gdouble *x_scale_end,
                                        gdouble *y_scale_end);

`clutter_behaviour_scale_get_bounds` has been deprecated since version 1.6 and should not be used in newly-written code.

Retrieves the bounds used by scale behaviour.

#### Parameters

scale | a ClutterBehaviourScale |
x_scale_start | return location for the initial scale factor on the X axis, or `NULL`. | [out]
y_scale_start | return location for the initial scale factor on the Y axis, or `NULL`. | [out]
x_scale_end | return location for the final scale factor on the X axis, or `NULL`. | [out]
y_scale_end | return location for the final scale factor on the Y axis, or `NULL`. | [out]

Since 0.4

## Types and Values

### enum ClutterGravity

`ClutterGravity` has been deprecated since version 1.22 and should not be used in newly-written code.

Use the normalized ClutterActor pivot point instead

Gravity of the scaling operations. When a gravity different than `CLUTTER_GRAVITY_NONE` is used, an actor is scaled keeping the position of the specified portion at the same coordinates.

#### Members

CLUTTER_GRAVITY_NONE | Do not apply any gravity |
CLUTTER_GRAVITY_NORTH | Scale from topmost downwards |
CLUTTER_GRAVITY_NORTH_EAST | Scale from the top right corner |
CLUTTER_GRAVITY_EAST | Scale from the right side |
CLUTTER_GRAVITY_SOUTH_EAST | Scale from the bottom right corner |
CLUTTER_GRAVITY_SOUTH | Scale from the bottom upwards |
CLUTTER_GRAVITY_SOUTH_WEST | Scale from the bottom left corner |
CLUTTER_GRAVITY_WEST | Scale from the left side |
CLUTTER_GRAVITY_NORTH_WEST | Scale from the top left corner |
CLUTTER_GRAVITY_CENTER | Scale from the center. |

Since 0.2

### struct ClutterBehaviourScale

    struct ClutterBehaviourScale;

`ClutterBehaviourScale` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_actor_animate()` with “scale-x” and “scale-y” instead.

The ClutterBehaviourScale struct contains only private data and should be accessed using the provided API

Since 0.2

### struct ClutterBehaviourScaleClass

    struct ClutterBehaviourScaleClass {
    };

`ClutterBehaviourScaleClass` has been deprecated since version 1.6 and should not be used in newly-written code.

The ClutterBehaviourScaleClass struct contains only private data

Since 0.2

## Property Details

### The `“x-scale-end”` property

      “x-scale-end”              gdouble

The final scaling factor on the X axis for the actors.

`ClutterBehaviourScale:x-scale-end` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since 0.6

### The `“x-scale-start”` property

      “x-scale-start”            gdouble

The initial scaling factor on the X axis for the actors.

`ClutterBehaviourScale:x-scale-start` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since 0.6

### The `“y-scale-end”` property

      “y-scale-end”              gdouble

The final scaling factor on the Y axis for the actors.

`ClutterBehaviourScale:y-scale-end` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since 0.6

### The `“y-scale-start”` property

      “y-scale-start”            gdouble

The initial scaling factor on the Y axis for the actors.

`ClutterBehaviourScale:y-scale-start` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since 0.6